%define		vendor_version	2.37.3

Summary:	Multi-container orchestration for Docker
Name:		docker-compose
Version:	2.37.3
Release:	1
License:	Apache v2.0
Group:		Applications/System
# https://github.com/docker/compose/releases
Source0:	https://github.com/docker/compose/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3b5f6c582d791403f23a0e2c6c3181c8
Source1:	%{name}-vendor-%{vendor_version}.tar.xz
# Source1-md5:	3938ed853cd0653f8ccac3772cdea34e
Source2:	docker-compose.sh
URL:		https://docs.docker.com/compose/
BuildRequires:	golang >= 1.23.8
BuildRequires:	rpmbuild(macros) >= 2.009
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	docker-ce-cli
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	_debugsource_packages

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be
  reproduced anywhere.
- Define the services that make up your app so they can be run
  together in an isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your
  entire app.

%prep
%setup -q -n compose-%{version} -a1

%{__mv} compose-%{vendor_version}/vendor .

%build
%{__make} \
	VERSION="%{version}" \
	BUILD_FLAGS="-v -mod=vendor"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libexecdir}/docker/cli-plugins}

cp -p bin/build/docker-compose $RPM_BUILD_ROOT%{_libexecdir}/docker/cli-plugins
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/docker-compose

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md README.md LICENSE
%attr(755,root,root) %{_bindir}/docker-compose
%attr(755,root,root) %{_libexecdir}/docker/cli-plugins/docker-compose
%changelog
* Thu Jun 26 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docker-compose.git;a=log;h=master

* Thu Jun 26 2025 Jan Palus <atler@pld-linux.org> b5be8b7
- up to 2.37.3

* Fri Feb 21 2025 Jan Palus <atler@pld-linux.org> d0e0c02
- up to 2.33.1

* Fri Feb 21 2025 Jan Palus <atler@pld-linux.org> ce7912d
- use new way to disable debugsource packages

* Fri Nov 01 2024 Jan Palus <atler@pld-linux.org> c4c7da1
- up to 2.30.1

* Fri Aug 23 2024 Jan Palus <atler@pld-linux.org> d3c4cfb
- disable debugsource packages

* Fri Aug 23 2024 Jan Palus <atler@pld-linux.org> 0e61635
- checkin missing docker-compose.sh compatibility wrapper

* Thu Aug 22 2024 Jan Palus <atler@pld-linux.org> 9a5ce84
- up to 2.29.2

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1985061
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7ccb1d4
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cc76a5f
- rebuild with python 3.10

* Mon May 10 2021 Jan Palus <atler@pld-linux.org> 0dd9376
- up to 1.29.2

* Wed Apr 14 2021 Jan Palus <atler@pld-linux.org> b80729b
- up to 1.29.1

* Wed Apr 07 2021 Jan Palus <atler@pld-linux.org> 2b22bef
- up to 1.29.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 06caaf2
- up to 1.28.6

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c56481a
- release 2 (by relup.sh)

* Fri Feb 26 2021 Jan Palus <atler@pld-linux.org> 089a701
- up to 1.28.5

* Thu Feb 18 2021 Jan Palus <atler@pld-linux.org> e2f4d2b
- up to 1.28.4

* Thu Feb 18 2021 Jan Palus <atler@pld-linux.org> d78d741
- up to 1.28.3

* Tue Jan 26 2021 Jan Palus <atler@pld-linux.org> b110482
- up to 1.28.2

* Thu Sep 24 2020 Jan Palus <atler@pld-linux.org> 20dd0bc
- up to 1.27.4

